This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 448128 - gnome-terminal/ $http_proxy being set incorrectly by Network Proxy
gnome-terminal/ $http_proxy being set incorrectly by Network Proxy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 12:14 EDT by ritz
Modified: 2009-07-14 10:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 343811 None None None Never

  None (edit)
Description ritz 2008-05-23 12:14:50 EDT
+++ This bug was initially created as a clone of Bug #448080 +++

Description of problem:
gnome-terminal set http_proxy even when automatic proxy option is being used.
gnome-terminal only ought to set http_proxy when manual mode is being used.

How reproducible:
100% with the attached automatic proxy configuration file.

Steps to Reproduce:
Launch gnome-network-preferences.  Pick Automatic proxy configuration.  Enter a
URI that provides the attached wpad.dat file.

Actual results:
http_proxy gets set to "http://:8080" in GNOME Terminal.

Expected results:
unsetting http_proxy entirely in GNOME Terminal.

-- Additional comment from tao@redhat.com on 2008-05-23 08:18 EST --
File uploaded: wpad.dat
This event sent from IssueTracker by rkhadgar  [Support Engineering Group]
 issue 180774
it_file 133689

-- Additional comment from rkhadgar@redhat.com on 2008-05-23 11:52 EST --
Created an attachment (id=306513)
patch

do not set http_proxy if automatic proxy is being used, as most cli apps ( as
wget) cannot handle this.
Comment 1 Bug Zapper 2009-06-09 21:07:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:03:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.